########################################################
# A x e l Project File                                 #
# Julien Wintz                                         #
# Inria Sophia-Antipolis                               #
########################################################

TEMPLATE = subdirs
SUBDIRS  = src

MAJOR    = 0
MINOR    = 3
REVISION = 2

VERSION  = $$MAJOR.$$MINOR.$$REVISION

unix {
    install.target = install
    install.commands = @cd src && make install

    uninstall.target = uninstall
    uninstall.commands = @cd src && make uninstall

    dist.target = dist
    dist.commands = tar -czf axel-0.3.2.tar.gz -X ./resources/exclude.patterns *

    QMAKE_EXTRA_TARGETS += install uninstall dist
}
