# ifndef QARROW_H
# define QARROW_H

# include <QAxel/QAxelObject.h>
# include <QAxel/QPoint3f.h>

# include <QGLViewer/qglviewer.h>

using namespace qglviewer ;

namespace QAxel 
{

/****************************************************************************/
/*!
  \class QArrow QArrow.h
  \brief The class QArrow provides ...

  More ...
*/
/****************************************************************************/
class QArrow : public QAxelObject 
{
    Q_OBJECT
public :
    QArrow(QPoint3f * from, QPoint3f * to, float size = 0.01) ;
    
    void draw(void) ;
    void drawWithNames(void) ;

private :    
    QPoint3f * from ;
    QPoint3f * to ;
    float size ;
    
private:
    static int id_ ;

} ;

} ; // namespace QAxel

# endif
