/****************************************************************************
 * A x e l
 *****************************************************************************
 * QImplicitCurve4D.cpp
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QMessageBox>
# include <QData/QBoundingBox4D.h>
# include <QAxel/QImplicitCurve4D.h>


//# include <QSisl/QSislInterface.h>
# include <QSynaps/QSynapsInterface.h>
//# include <QCore/QCoreInterface.h>

//# include <QGui/PluginFactory.h>

namespace QAxel {


/*****************************************************************************
* QImplicitCurve4D
*****************************************************************************/

QImplicitCurve4D::QImplicitCurve4D(QString f, QString g, QString h, QBoundingBox4D * bb, char * var)
{
	this->c_f = f ;
	this->c_g = g ;
	this->c_h = h ;
	
	this->c_smin = bb->smin() ;
	this->c_smax = bb->smax() ;
	this->c_tmin = bb->tmin() ;
	this->c_tmax = bb->tmax() ;
	this->c_umin = bb->umin() ;
	this->c_umax = bb->umax() ;
	this->c_vmin = bb->vmin() ;
	this->c_vmax = bb->vmax() ;
	
	this->c_var = var ;
}

QImplicitCurve4D::QImplicitCurve4D(QString f, QString g, QString h, 
																	double smin, 
																	double smax, 
																	double tmin, 
																	double tmax, 
																	double umin, 
																	double umax, 
																	double vmin, 
																	double vmax,
																	char * var)
{
	this->c_f = f ;
	this->c_g = g ;
	this->c_h = h ;
	
	this->c_smin = smin ;
	this->c_smax = smax ;
	this->c_tmin = tmin ;
	this->c_tmax = tmax ;
	this->c_umin = umin ;
	this->c_umax = umax ;
	this->c_vmin = vmin ;
	this->c_vmax = vmax ;
	
	this->c_var = var ;
	
//	this->compute() ;
}

void QImplicitCurve4D::compute(void) 
{
}


//bool QImplicitCurve4D::roots(float xmin, float xmax, float ymin, float ymax) 
//{
//	return (nbRoots(xmin, xmax, ymin, ymax) == 0) ;
//}
//
//int QImplicitCurve4D::nbRoots(float xmin, float xmax, float ymin, float ymax)
//{
//  //	QSynapsInterface * iSynaps = dynamic_cast<QSynapsInterface *>(PluginFactory::instance()->plugin("Synaps")) ;	
//  //	if(iSynaps) return iSynaps->nbRoots(this, xmin, xmax, ymin, ymax) ;
//  //	else return -1 ;
//  return 0 ;
//}
//


} ;
