/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QPluginInterface
 * 2007-04-06
 * Laurent Rineau
 *****************************************************************************
 *               Copyright (C) 2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef QPLUGININTERFACE_H
# define QPLUGININTERFACE_H

# include <QStringList>

namespace QAxel {

/****************************************************************************/
/*!
  \class QPluginInterface QPluginInterface.h
  \brief The class QPluginInterface provides ...

  More ...
*/
/****************************************************************************/
class QPluginInterface 
{
public :
    virtual ~QPluginInterface() {}
    
    virtual QString name() const = 0 ;
    virtual QStringList features() const = 0 ;
} ;

} ; // namespace QAxel

Q_DECLARE_INTERFACE(QAxel::QPluginInterface, "Axel::Interfaces::Plugin/0.1")

# endif
