/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QDxfParser
 * 2007-06-18
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# include <iostream>

# include <QDxf/QDxfParser.h>

using namespace std ;

void QDxfParser::addLayer(const DL_LayerData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addBlock(const DL_BlockData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::endBlock()
{
    cout << __func__ << endl ;
}

void QDxfParser::addPoint(const DL_PointData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addLine(const DL_LineData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addArc(const DL_ArcData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addCircle(const DL_CircleData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addEllipse(const DL_EllipseData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addPolyline(const DL_PolylineData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addVertex(const DL_VertexData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addSpline(const DL_SplineData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addControlPoint(const DL_ControlPointData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addKnot(const DL_KnotData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addInsert(const DL_InsertData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addMText(const DL_MTextData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addMTextChunk(const char*)
{
    cout << __func__ << endl ;
}

void QDxfParser::addText(const DL_TextData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addDimAlign(const DL_DimensionData&, const DL_DimAlignedData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addDimLinear(const DL_DimensionData&, const DL_DimLinearData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addDimRadial(const DL_DimensionData&, const DL_DimRadialData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addDimDiametric(const DL_DimensionData&, const DL_DimDiametricData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addDimAngular(const DL_DimensionData&, const DL_DimAngularData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addDimAngular3P(const DL_DimensionData&, const DL_DimAngular3PData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addLeader(const DL_LeaderData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addLeaderVertex(const DL_LeaderVertexData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addHatch(const DL_HatchData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addTrace(const DL_TraceData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addSolid(const DL_SolidData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addImage(const DL_ImageData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::linkImage(const DL_ImageDefData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addHatchLoop(const DL_HatchLoopData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::addHatchEdge(const DL_HatchEdgeData&)
{
    cout << __func__ << endl ;
}

void QDxfParser::endEntity()
{
    cout << __func__ << endl ;
}

void QDxfParser::setVariableVector(const char*, double, double, double, int)
{
    cout << __func__ << endl ;
}

void QDxfParser::setVariableString(const char*, const char*, int)
{
    cout << __func__ << endl ;
}

void QDxfParser::setVariableInt(const char*, int, int)
{
    cout << __func__ << endl ;
}

void QDxfParser::setVariableDouble(const char*, double, int)
{
    cout << __func__ << endl ;
}

void QDxfParser::endSequence()
{
    cout << __func__ << endl ;
}

void QDxfParser::printAttributes(void)
{
    printf("  Attributes: Layer: %s, ", attributes.getLayer().c_str());
    printf(" Color: ");
    if (attributes.getColor()==256)	{
        printf("BYLAYER");
    } else if (attributes.getColor()==0) {
        printf("BYBLOCK");
    } else {
        printf("%d", attributes.getColor());
    }
    printf(" Width: ");
    if (attributes.getWidth()==-1) {
        printf("BYLAYER");
    } else if (attributes.getWidth()==-2) {
        printf("BYBLOCK");
    } else if (attributes.getWidth()==-3) {
        printf("DEFAULT");
    } else {
        printf("%d", attributes.getWidth());
    }
    printf(" Type: %s\n", attributes.getLineType().c_str());
}
