########################################################
# Q G L V i e w e r Source List
# Julien Wintz
# Inria Sophia-Antipolis
#######################################################

HEADERS += \
 QGLViewer/qglviewer.h \
 QGLViewer/camera.h \
 QGLViewer/manipulatedFrame.h \
 QGLViewer/manipulatedCameraFrame.h \
 QGLViewer/frame.h \
 QGLViewer/constraint.h \
 QGLViewer/keyFrameInterpolator.h \
 QGLViewer/mouseGrabber.h \
 QGLViewer/quaternion.h \
 QGLViewer/vec.h \
 QGLViewer/domUtils.h \
 QGLViewer/config.h

SOURCES += \
 QGLViewer/qglviewer.cpp \
 QGLViewer/camera.cpp \
 QGLViewer/manipulatedFrame.cpp \
 QGLViewer/manipulatedCameraFrame.cpp \
 QGLViewer/frame.cpp \
 QGLViewer/saveSnapshot.cpp \
 QGLViewer/constraint.cpp \
 QGLViewer/keyFrameInterpolator.cpp \
 QGLViewer/mouseGrabber.cpp \
 QGLViewer/quaternion.cpp \
 QGLViewer/vec.cpp

FORMS += \
 QGLViewer/VRenderInterface.Qt4.ui \
 QGLViewer/ImageInterface.Qt4.ui

DISTFILES += \
 QGui/QGLViewer/qglviewer-icon.xpm

HEADERS += \
 QGLViewer/VRender/AxisAlignedBox.h \
 QGLViewer/VRender/Exporter.h \
 QGLViewer/VRender/gpc.h \
 QGLViewer/VRender/NVector3.h \
 QGLViewer/VRender/Optimizer.h \
 QGLViewer/VRender/ParserGL.h \
 QGLViewer/VRender/Primitive.h \
 QGLViewer/VRender/PrimitivePositioning.h \
 QGLViewer/VRender/SortMethod.h \
 QGLViewer/VRender/Types.h \
 QGLViewer/VRender/Vector2.h \
 QGLViewer/VRender/Vector3.h \
 QGLViewer/VRender/VRender.h

SOURCES += \
 QGLViewer/VRender/BackFaceCullingOptimizer.cpp \
 QGLViewer/VRender/BSPSortMethod.cpp \
 QGLViewer/VRender/EPSExporter.cpp \
 QGLViewer/VRender/Exporter.cpp \
 QGLViewer/VRender/FIGExporter.cpp \
 QGLViewer/VRender/gpc.cpp \
 QGLViewer/VRender/ParserGL.cpp \
 QGLViewer/VRender/Primitive.cpp \
 QGLViewer/VRender/PrimitivePositioning.cpp \
 QGLViewer/VRender/TopologicalSortMethod.cpp \
 QGLViewer/VRender/VisibilityOptimizer.cpp \
 QGLViewer/VRender/Vector2.cpp \
 QGLViewer/VRender/Vector3.cpp \
 QGLViewer/VRender/NVector3.cpp \
 QGLViewer/VRender/VRender.cpp
