/*****************************************************************************
 * Axel
 *****************************************************************************
 * QCameraModeWidget
 * 2007-5-25
 * Ashish Reddy
 *****************************************************************************
 *               Copyright (C) 2006-2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QCAMERAMODEWIDGET_H
# define QCAMERAMODEWIDGET_H

# include <QWidget>

class QLabel ;
class QString ;
class QHBoxLayout ;

class QCameraModeWidget : public QWidget
{

    Q_OBJECT

public:
    QCameraModeWidget(QWidget * parent) ;

public slots:
    void setText(QString text) ;
    void setPixmap(QString pixmap) ; // widget->setPixmap(":images/16x16/camera.png")

private:
    QLabel * mode ;
    QLabel * pixmap ;
    QHBoxLayout * layout ;
} ;

# endif // QCAMERAMODEWIDGET_H
