/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QParametricCurvesArrangement
 * 2007-01-12
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * 
 *****************************************************************************/

# include <QData/QCell.h>

# include <QGui/color.h>

# include <QAxel/PluginManager.h>

# include <QCore/QCoreInterface.h>

# include <QSynaps/QSynapsInterface.h>

# include <QArrangement/Curves/QParametricCurvesArrangement.h>

using namespace std ;
using namespace QAxel ;
using namespace QData ;

namespace QArrangement {

QParametricCurvesArrangement::QParametricCurvesArrangement(MainWindow * mainwindow) : QArrangement(QString("BSplineCurve"))
{
    this->mainwindow = mainwindow ;
}

bool QParametricCurvesArrangement::regular(Object_t * o, Node_t * n)
{
    QParametricCurve * c = dynamic_cast<QParametricCurve *>(o) ;
    QSynapsInterface * iSynaps = dynamic_cast<QSynapsInterface *>(PluginManager::instance()->plugin("Synaps")) ;
    Cell_t * bb = n->GetCell() ;

    Q_UNUSED(bb) ;
    Q_UNUSED(c) ;
    Q_UNUSED(iSynaps) ;
    
    return false ;
}

QList<Cell_t *> QParametricCurvesArrangement::subdivide(Object_t * o, Node_t * n)
{
    Q_UNUSED(o) ;
    Q_UNUSED(n) ;
    QList<Cell_t *> l ;
    return l ;
}

QList<Region_t *> QParametricCurvesArrangement::topology(Object_t * o, Node_t * n)
{
    Q_UNUSED(o) ;
    Q_UNUSED(n) ;
    QList<Region_t *> l ;
    return l ;
}

} ; // namespace QArrangement ;
