/*****************************************************************************
> * A x e l
 *****************************************************************************
 * QHexatree
 * 2007-05-10
 * Stephane CHAU
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QHEXATREE_H
# define QHEXATREE_H

# include <QData/QTreeNode4D.h>

namespace QData {

/****************************************************************************/
/*!
  \class QHexatree QHexatree.h
  \brief ....
*/
/****************************************************************************/

template <class Object, class Cell> class QHexatree
{
public:
    
    // The root node.
    QTreeNode4D<Object, Cell>* root;
    
    // Constructor with initialization.
    QHexatree<Object, Cell>() {
	root = new QTreeNode4D<Object, Cell>();
	root->SetParent(NULL);
    } 
    
    // Accessor.
    QTreeNode4D<Object, Cell>* GetRoot(void) { return(root); }
    
	//     QGraph * toGraph(void) {
	// QGraph * graph = new QGraph ;
	// graph->setType(QGraph::Octree) ;
	// addNode(graph, root, NULL) ;
	// return graph ;
	//     }
    
	//     void addNode(QGraph * graph, QTreeNode4D<Object, Cell> * node, QGraphNode * parent) 
	// {
	// 	QGraphNode * n = new QGraphNode("", node->GetCell()) ;
	// 	n->setColors(Qt::blue, Qt::darkBlue) ;
	// 	graph->addNode(n) ;
	// 
	// 	if(parent) 
	// 	{
	// 	    QGraphEdge * e = new QGraphEdge(parent, n) ;
	// 	    graph->addEdge(e) ;
	// 	}
	// 
	// if (node->GetLLLLchild()) addNode(graph, node->GetLLLLchild(), n);
	// if (node->GetLLLRchild()) addNode(graph, node->GetLLLRchild(), n);
	// if (node->GetLLRLchild()) addNode(graph, node->GetLLRLchild(), n);
	// if (node->GetLLRRchild()) addNode(graph, node->GetLLRRchild(), n);
	// if (node->GetLRLLchild()) addNode(graph, node->GetLRLLchild(), n);
	// if (node->GetLRLRchild()) addNode(graph, node->GetLRLRchild(), n);
	// if (node->GetLRRLchild()) addNode(graph, node->GetLRRLchild(), n);
	// if (node->GetLRRRchild()) addNode(graph, node->GetLRRRchild(), n);
	// if (node->GetRLLLchild()) addNode(graph, node->GetRLLLchild(), n);
	// if (node->GetRLLRchild()) addNode(graph, node->GetRLLRchild(), n);
	// if (node->GetRLRLchild()) addNode(graph, node->GetRLRLchild(), n);
	// if (node->GetRLRRchild()) addNode(graph, node->GetRLRRchild(), n);
	// if (node->GetRRLLchild()) addNode(graph, node->GetRRLLchild(), n);
	// if (node->GetRRLRchild()) addNode(graph, node->GetRRLRchild(), n);
	// if (node->GetRRRLchild()) addNode(graph, node->GetRRRLchild(), n);
	// if (node->GetRRRRchild()) addNode(graph, node->GetRRRRchild(), n);
	//     }
} ;

# include "QHexatree.cpp"

} ; // namespace QData

# endif
