########################################################
# QDxf Project File
# Julien Wintz
# Inria Sophia-Antipolis
########################################################

TEMPLATE = lib
CONFIG  += plugin release warn_off
VERSION	 = 0.1
TARGET   = QDxf
QT 	+= xml opengl

DESTDIR      = ../../plugins
UI_DIR       = .ui
MOC_DIR      = .moc
OBJECTS_DIR  = .obj

mac {
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.3
QMAKE_LFLAGS += -undefined dynamic_lookup
}

AXELPATH   	 = ..
INCLUDEPATH	+= $$AXELPATH include

HEADERS += \
 include/dl_attributes.h \
 include/dl_codes.h \
 include/dl_creationadapter.h \
 include/dl_creationinterface.h \
 include/dl_dxf.h \
 include/dl_entities.h \
 include/dl_exception.h \
 include/dl_extrusion.h \
 include/dl_writer.h \
 include/dl_writer_ascii.h

SOURCES += \
 src/dl_dxf.cpp \
 src/dl_writer_ascii.cpp

HEADERS += \
 QDxfPlugin.h \
 QDxfParser.h

SOURCES += \
 QDxfPlugin.cpp \
 QDxfParser.cpp
