/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QPatch22Intersection
 * 2007-03-07
 * Stephane Chau
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * QPatch22Intersection * algo = new QPatch22Intersection(s1, s2) ;
 * QCurve * c = algo->run() ;
 *
 * TODO : maybe use a class QPatch22 (in QSurface file) instead of QRationalSurface in the future.
 *                              
 *****************************************************************************/

# include <QString>

# include <QIntersection/Surfaces/QPatch22Intersection.h>

# include <QAxel/PluginManager.h>

# include <QSynaps/QSynapsInterface.h>

using namespace std ;

namespace QIntersection {

QPatch22Intersection::QPatch22Intersection(QRationalSurface * s1, QRationalSurface * s2, MainWindow * mw) : QRationalSurfaceIntersection(s1, s2, mw)
{
	cout << "Debut de QPatch22Intersection" << endl ;
	this->s1 = s1 ;
	this->s2 = s2 ;
	this->curve = getIntersectionCurve4D() ;

}	


QPatch22Intersection::~QPatch22Intersection(void) 
{
	
}


void QPatch22Intersection::run(void) 
{
	// QImplicitCurve4D * c = dynamic_cast<QImplicitCurve4D *>(o) ; // QImplicitCurveArrangement.cpp ligne 54
	// QSynapsInterface * iSynaps = dynamic_cast<QSynapsInterface *>(PluginFactory::instance()->plugin("Synaps")) ;
	// cout << isRegular(curve, 0) << endl ;

}

} ; // namespace QIntersection ;
