/*****************************************************************************
 * A x e l
 *****************************************************************************
 * IStreamG2
 * 2006-11-10
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef ISTREAMG2_H
# define ISTREAMG2_H  

# include <QFile>
# include <QList>

# include <QSisl/QSislInterface.h>

# include <QStream/IStream/IStream.h>

using namespace QAxel ;   

class QProgressDialog ;

namespace QStream {
         
class IStreamG2 : public IStream 
{	
public :
	IStreamG2(QFile * f) ;
	QBSplineCurve * readCurve(void) ;
	QBSplineSurface * readSurface(void) ;

private :
	QFile * file ;
	QSislInterface * iSisl ;
	QProgressDialog * progress ;
} ;

} ;

# endif
